al_unlock_sample_id(3)

NAME

al_unlock_sample_id - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    void al_unlock_sample_id(ALLEGRO_SAMPLE_ID *spl_id)

DESCRIPTION

Unlocks a ALLEGRO_SAMPLE_ID(3), allowing future calls to al_play_sample(3) to reuse it if possible. Note that after the id is unlocked, the ALLEGRO_SAMPLE_INSTANCE(3) that was previously returned by al_lock_sample_id(3) will possibly be playing a different sound, so you should only use it after locking the id again.

SEE ALSO

al_play_sample(3), al_lock_sample_id(3)

SINCE

5.2.3

    [Unstable API]: New API.